﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.BaseDto
{
    public class ResultSAASManageDto<T>
    {
        public int statusCode { get; set; }

        public T data { get; set; }

        public string succeeded { get; set; }

        public string errors { get; set; }

        public string extras { get; set; }

        public int timestamp { get; set; }


    }

    public class ResultSAASManageDataDto<T>
    {
        public List<T> data { get; set; }

        public int total { get; set; }
    }
    public class ResultTenantDataItemDto
    {
        public string id { get; set; }

        public string name { get; set; }

        public string adminName { get; set; }

        public string email { get; set; }

        public string phone { get; set; }

        public string remark { get; set; }

        public string logo { get; set; }

        public string createAt { get; set; }

        public int status { get; set; }

        public string sysRoleId { get; set; }

        public int type { get; set; }
    }

}
