﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Service.Bom.Dtos
{
    public class BomDto
    {
        public string Id { get; set; }
        public string Name { get; set; }
        /// <summary>
        /// 1主料配方0 辅料配方
        /// </summary>           
        public bool IsMain { get; set; }
        public int Sort { get; set; }
        public string GroupId { get; set; }
        public List<BomEntr> BomEntr { get; set; }
    }
    public class BomEntr
    {
        public string Id { get; set; }
        public string BatchingId { get; set; }
        public string BatchingName { get; set; }
        /// <summary>
        /// 配方用量
        /// </summary>
        public decimal BomQty { get; set; }

        /// <summary>
        /// 配方id
        /// </summary>
        public string BomId { get; set; }
        public int Sort { get; set; }
        public string GroupId { get; set; }
    }
}
