﻿using BPA.SAAS.Manage.Comm.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.Device.Dtos.Device
{
    public class DeviceInfoBaseDto
    {
        public string Id { get; set; }
        /// <summary> 
        ///  设备名称
        /// </summary> 
        public string DeviceName { get; set; }

        /// <summary> 
        ///  设备标签
        /// </summary> 
        public string DeviceTypeId { get; set; }
        /// <summary>
        ///归属场景（店铺）
        /// </summary>
        public string StopId { get; set; }
        /// <summary>
        /// 所属产品
        /// </summary>
        public string ProductId { get; set; }
        /// <summary>
        /// 产品标签
        /// </summary>
        public string ProductCode { get; set; }
        /// <summary>
        /// 产品版本
        /// </summary>
        public string ProductVersionId { get; set; }
        public CommonStatus Status { get; set; }
        public int TechnologyOrBom { get; set; }
    }
}
