﻿using BPA.SAAS.Manage.Comm.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.Device.Dtos.DeviceVesion
{
    public class DeviceVesionModel
    {
        public string Id { get; set; }
        public string Vesion { get; set; }
        /// <summary>
        /// 所属产品
        /// </summary>
        public string ProductId { get; set; }
        /// <summary>
        /// 产品名称
        /// </summary>
        public string ProductName { get; set; }
        /// <summary>
        /// 产品标签
        /// </summary>
        public string ProductCode { get; set; }

        /// <summary>
        /// 仓位数量
        /// </summary>
        public int ProductNumber { get; set; }

        /// <summary>
        /// 仓位图片
        /// </summary>
        public string ProductUrl { get; set; }

        /// <summary>
        /// 模版路径
        /// </summary>
        public string TemplatePath { get; set; }
        /// <summary>
        /// 状态 0启用 1禁用
        /// </summary>
        public CommonStatus Status { get; set; } = CommonStatus.ENABLE;
    }
}
