﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.Device.Dtos.ProductFunction
{
    public class ProductFunctionActionBaseDto
    {
        public string Id { get; set; }
        /// <summary>
        /// 功能id
        /// </summary>
        public string ProductFunctionId { get; set; }
        /// <summary>
        /// 动作名称
        /// </summary>
        public string ActionName { get; set; }
        /// <summary>
        /// 类型 （1 输入框 2下拉框）
        /// </summary>
        public string ActionType { get; set; }
        /// <summary>
        /// 类型值（jsong格式）
        /// </summary>
        public string ActionValue { get; set; }
        /// <summary>
        /// 单位
        /// </summary>
        public string Unit { get; set; }
        /// <summary>
        /// 是否绑定物料
        /// </summary>
        public bool? IsBatch { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
    }
}
