﻿using BPA.SAAS.Manage.Application.System.Dtos;
using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.System.Interface
{
    public interface IDictTypeService
    {
        /// <summary>
        /// 查询字典类型信息
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<PageUtil> GetDictType(DictTypeQueryDto dto);
        /// <summary>
        /// 添加字典类型信息
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<bool> AddDictType(DictTypeDto dto);
        /// <summary>
        /// 修改字典类型信息
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
       Task<bool> UpdateDictType(DictTypeDto dto);
        /// <summary>
        /// 删除字典类型信息
        /// </summary>
        /// <param name="ids"></param>
        /// <returns></returns>
        Task<bool> BathchDelDictType(List<string> ids);
        Dictionary<string, object> GetDictType();
    }
}
