﻿using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.DataBase
{
    [SugarTable("bpa_batchinguint")]
    public class BPA_BatchingUint : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 单位名称
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(200)", IsNullable = false)]
        public string Name { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(500)", IsNullable = true)]
        public string Remark { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
    }
}
