﻿using BPA.SAAS.Manage.Comm.Const;
using BPA.SAAS.Manage.Core.Base;
using Furion;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.DataBase
{
    [SugarTable("bpa_goodsattribute")]
    public class BPA_GoodsAttribute: IBaseEntity, IGroupId
    {
        /// <summary>
        /// 属性名称
        /// </summary>
        public string AttributeName { get; set; }
        /// <summary>
        /// 商品小类id
        /// </summary>
        public string GoodsTypeId { get; set; }
        public int Sort { get; set; }
        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "GroupId", IsNullable = true)]
        public string GroupId { get; set; }
    }
}
