﻿using BPA.SAAS.Manage.Comm.Const;
using BPA.SAAS.Manage.Core.Base;
using Furion;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.DataBase
{
    [SugarTable("bpa_goodsattributevalue")]
    public class BPA_GoodsAttributeValue: IBaseEntity, IGroupId
    {
        /// <summary>
        ///商品属性id
        /// </summary>
        public string GoodsAttributeId { get; set; }
        /// <summary>
        /// 属性值
        /// </summary>
        public string AttributeValue { get; set; }
        public int Sort { get; set; }
        public string WaiKey { get; set; }
        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "GroupId", IsNullable = true)]
        public string GroupId { get; set; } = App.User?.FindFirst(ClaimConst.GroupId)?.Value;
    }
}
