﻿using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.DataBase
{
    [SugarTable("bpa_goodstechnologyaction")]
    public class BPA_GoodsTechnologyAction : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 步骤名称
        /// </summary>
        public string StepName { get; set; }
        /// <summary>
        /// 动作json
        /// </summary>
        public string ActionJson { get; set; }
        /// <summary>
        /// 商品属性id集合
        /// </summary>
        public string GoodsAttributeId { get; set; }
        /// <summary>
        /// 是否物料
        /// </summary>
        public bool IsBatch { get; set; }
        /// <summary>
        /// 动作value
        /// </summary>
        public string ChnologyId { get; set; }
        public string GroupId { get; set; }
        public int Sort { get; set; }
        public string GoodsId { get; set; }
        public string DeviceId { get; set; }
        /// <summary>
        /// 仓位模板
        /// </summary>
        public string WarehousrTemplateId { get; set; }
    }
}
