﻿using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.DataBase
{
    /// <summary>
    /// 平台授权
    /// </summary>
    [SugarTable("bpa_platformauthorization")]
    public class BPA_PlatformAuthorization : IBaseEntity, IGroupId
    {
        public string Key { get; set; }

        public string GroupId { get; set; }


        /// <summary>
        /// 有效期 长期有效为空
        /// </summary>
        public DateTime? PeriodValidity { get; set; }


        public DateTime UpdateAt { get; set; }
    }
}
