﻿using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Product
{
    public class BPA_ProductFunctionAction : IBaseEntity
    {
        /// <summary>
        /// 功能id
        /// </summary>
        public string ProductFunctionId { get; set; }
        /// <summary>
        /// 动作名称
        /// </summary>
        public string ActionName { get; set; }
        /// <summary>
        /// 类型 （1 输入框 2下拉框）
        /// </summary>
        public string ActionType { get; set; }
        /// <summary>
        /// 类型值（jsong格式）
        /// </summary>
        public string ActionValue { get; set; }
        /// <summary>
        /// 单位
        /// </summary>
        public string Unit { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
        public bool IsDefault { get; set; }
        // public string GroupId { get; set; }
    }
}
