﻿using BPA.SAAS.Manage.Comm.Enum;
using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Product
{
    [SugarTable("bpa_producttopics")]
    public class BPA_ProductTopics : IBaseEntity
    {
        /// <summary>
        /// Topics类
        /// </summary>
        public string Topics { get; set; }
        /// <summary>
        /// TopicsType类型 0发布 1订阅 2发布和订阅
        /// </summary>
        public TopicsTypeEnum TopicsType { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        public string Description { get; set; }
        public string ProductId { get; set; }
        public string ProductVesionId { get; set; }
        /// <summary>
        /// 是否默认Topics
        /// </summary>
        public bool IsDefault { get; set; }
        public string Name { get; set; }
    }
}
