﻿using BPA.SAAS.Manage.Comm.Enum;
using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Product
{
    [SugarTable("bpa_productvesion")]
    public class BPA_ProductVesion : IBaseEntity
    {
        public string Vesion { get; set; }
        /// <summary>
        /// 所属产品
        /// </summary>
        public string ProductId { get; set; }
        /// <summary>
        /// 模版路径
        /// </summary>
        public string TemplatePath { get; set; }


        /// <summary>
        /// 仓位数量
        /// </summary>
        public int ProductNumber { get; set; }

        /// <summary>
        /// 仓位图片
        /// </summary>
        public string ProductUrl { get; set; }

        /// <summary>
        /// 状态 0启用 1禁用
        /// </summary>
        public CommonStatus Status { get; set; } = CommonStatus.ENABLE;
    }
}
