﻿using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.System
{
    [SugarTable("bpa_operatelog")]
    public class BPA_OperateLog: IBaseEntity
    {
        /// <summary>
        /// 操作人
        /// </summary>
        public string Operator { get; set; }
        /// <summary>
        /// 请求地址
        /// </summary>
        public string RequestURL { get; set; }
        /// <summary>
        /// 请求数据
        /// </summary>
        public string RequestData { get; set; }
        /// <summary>
        /// 返回数据
        /// </summary>
        public string ResultData { get; set; }
        /// <summary>
        /// ip地址
        /// </summary>
        public string IP { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
    }
}
