﻿using BPA.SAAS.Manage.Application.AExternalPlatform.Enum;
using BPA.SAAS.Manage.Application.AExternalPlatform.Service.Material.Dtos;
using BPA.SAAS.Manage.Comm.Enum;
using BPA.SAAS.Manage.Core.Base;
using BPA.SAAS.Manage.Core.DataBase;
using BPA.SAAS.Manage.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Components.Forms;
using BPA.SAAS.Manage.Application.AExternalPlatform.BaseDto;
using BPA.SAAS.Manage.Application.AExternalPlatform.Service.CheckService.Services;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Service.CheckService
{
   
    [ApiDescriptionSettings("开放平台", Tag = "检查"), AllowAnonymous]
    public class CheckServices : IDynamicApiController
    {
        private readonly ICheckServices _checkServices;
        public CheckServices(ICheckServices checkServices)
        {
            _checkServices = checkServices;
        }

        /// <summary>
        ///检查Sign
        /// </summary>
        public async Task CheckSign(string key, string signStr, string signMd5)
        {
           await _checkServices.CheckSign( key,  signStr,  signMd5);
        }


    }
}
