﻿using BPA.SAAS.Manage.Application.DataBase.Dtos.GoodsTechnology;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Service.Goods.Dtos
{
    public class GoodsTechnologyActionListViewDto
    {
        public string DeviceId { get; set; }
        public string WarehousrTemplateId { get; set; }
        public string GoodsAttributeId { get; set; }
        public string DeviceName { get; set; }
        public List<GoodsTechnologyActionViewDto> Data { get; set; }
    }
    public class GoodsTechnologyActionViewDto
    {
        public string Id { get; set; }
        /// <summary>
        /// 步骤名称
        /// </summary>
        public string StepName { get; set; }
        /// <summary>
        /// 动作json
        /// </summary>
        public string ActionJson { get; set; }
        /// <summary>
        /// 商品属性id集合
        /// </summary>
        public string GoodsAttributeId { get; set; }
        /// <summary>
        /// 是否物料
        /// </summary>
        public bool IsBatch { get; set; }
        /// <summary>
        /// 动作value
        /// </summary>
        public string ChnologyId { get; set; }
        public DateTime CreateAt { get; set; }
        public string GroupId { get; set; }
        public int IsDeleted { get; set; }
        public int Sort { get; set; }
        public string GoodsId { get; set; }
        public string DeviceId { get; set; }
        public string WarehousrTemplateId { get; set; }
    }
}
