﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Service.ThirdpartyPush.Dtos
{
    public class PushDataBatchingDto
    {
        public string Id { get; set; }
        /// <summary>
        /// 原料编码
        /// </summary>           
        public string Code { get; set; }
        /// <summary>
        /// 商品属性  (0成品,1半成品,2,易耗品)
        /// </summary>           
        public int Aittribute { get; set; } = 0;
        /// <summary>
        /// 原料名称
        /// </summary>           
        public string Name { get; set; }
        /// <summary>
        /// 配料类型
        /// </summary>           
        public string TypeName { get; set; }
        /// <summary>
        /// 原料类型
        /// </summary>           
        public string TypeID { get; set; }

        /// <summary>
        /// 库存单位
        /// </summary>           
        public string StockUintName { get; set; }
        public string StockUint { get; set; }
        /// <summary>
        /// 规格属性
        /// </summary>           
        public string Specs { get; set; }


        /// <summary>
        /// 成本价
        /// </summary>           
        public decimal Price { get; set; }


        /// <summary>
        /// 净料率
        /// </summary>           
        public decimal netrecovery { get; set; }

        /// <summary>
        /// 出库单位
        /// </summary>           
        public string outstockUint { get; set; }


        /// <summary>
        /// 换算比例
        /// </summary>           
        public decimal proportion { get; set; }


        public int AutoKey { get; set; }
        public string ForeignKeyRe { get; set; }
        public string CreateAt { get; set; }
    }
}
