﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Service.ThirdpartyPush.Dtos
{
    public class PushDeviceDto
    {
        //messagesId
        public string messageId { get; set; }

        public string deviceId { get; set; }

        public string productVersion { get; set; }

        public string productKey { get; set; }

        public string productName { get; set; }

        public string deviceName { get; set; }

        public int deviceAutoKey { get; set; }

        public string data { get; set; }

        /// <summary>
        /// 1.商品  2.物料  3.配方  4.工艺
        /// </summary>
        public int type { get; set; }

        public List<TopicsDataItem> topicsData { get; set; }
    }

    public class TopicsDataItem
    {
        public string id { get; set; }

        public string topics { get; set; }

        public int topicsType { get; set; }

        public string description { get; set; }

        public string productId { get; set; }

        public string productVesionId { get; set; }

        public string isDefault { get; set; }
    }

}
