﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Dtos.Batching
{
    public class BatchingInfoDto
    {
        /// <summary>
        /// 物料id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 物料名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        public string code { get; set; }
        /// <summary>
        /// 物料规格
        /// </summary>
        public string specs { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 单位
        /// </summary>
        public string StockUint { get; set; }
        /// <summary>
        /// 类型
        /// </summary>
        public string TypeID { get; set; }
        /// <summary>
        /// itemName
        /// </summary>
        public string itemName { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public string Status { get; set; }
        /// <summary>
        /// 原料属性
        /// </summary>
        public string Aittribute { get; set; }
        /// <summary>
        /// 配料类型
        /// </summary>
        public string batchingType { get; set; }

        /// <summary>
        /// 成本价
        /// </summary>           
        public decimal Price { get; set; }


        /// <summary>
        /// 出库单位
        /// </summary>           
        public string outstockUint { get; set; }


        /// <summary>
        /// 换算比例
        /// </summary>           
        public decimal proportion { get; set; }
        /// <summary>
        /// 净料率
        /// </summary>           
        public decimal netrecovery { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public List<BatchingDetailedDto> membersList { get; set; }
        public string ForeignKeyRe { get; set; }
    }
}
