﻿using BPA.SAAS.Manage.Comm.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.Device.Dtos.Device
{
    public class DeviceInfoQueryDto
    {
        public string Id { get; set; }
        /// <summary> 
        ///  设备名称
        /// </summary> 
        public string DeviceName { get; set; }

        /// <summary> 
        ///  设备标签
        /// </summary> 
        public string DeviceTypeId { get; set; }
        /// <summary>
        ///归属场景（店铺）
        /// </summary>
        public string OrgId { get; set; }
        /// <summary>
        /// 所属产品
        /// </summary>
        public string ProductId { get; set; }
        /// <summary>
        /// 所属产品名称
        /// </summary>
        public string ProductName { get; set; }
        /// <summary>
        /// 所属产品标签
        /// </summary>
        public string ProductCode { get; set; }
        /// <summary>
        /// 设备AutoKey 唯一用于mqtt消息推送标识
        /// </summary>
        [SugarColumn(IsOnlyIgnoreInsert = true, IsOnlyIgnoreUpdate = true, IsIdentity = true)]
        public int AutoKey { get; set; }
        /// <summary>
        /// 设备版本
        /// </summary>
        public string ProductVersionId { get; set; }
        public CommonStatus Status { get; set; }
        public string OrgKey { get; set; }
        public string ProductVersionName { get; set; }
        public int TechnologyOrBom { get; set; }
        public string StopId { get; set; }
        public string StopName { get; set; }
    }
}
