﻿using BPA.SAAS.Manage.Comm.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.Org.Dtos.Company
{
    public class CompanyDtoInput
    {
        public string Id { get; set; }
        /// <summary>
        /// 加盟商名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 管理员姓名
        /// </summary>
        public string AdminName { get; set; }
        /// <summary>
        /// 邮箱账号
        /// </summary>
        public string Email { get; set; }
        /// <summary>
        /// 电话
        /// </summary>
        public string Phone { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// logo
        /// </summary>
        public string Logo { get; set; }
        public DateTime CreateAt { get; set; }
        /// <summary>
        /// 状态 【正常 停用】默认 正常
        /// </summary>
        public CommonStatus Status { get; set; } = CommonStatus.ENABLE;
        public string SysRoleId { get; set; }
        /// <summary>
        /// 所属平台 0 团餐 1门店 2 后厨 3公共
        /// </summary>
        public int Type { get; set; }
    }
}
