﻿using Furion.ConfigurableOptions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.System.Dtos
{
    public class CosInfoOptions : IConfigurableOptions
    {
        public string AppId { get; set; }
        public string Region { get; set; }
        public string Bucket { get; set; }
        public string SecretId { get; set; }
        public string SecretKey { get; set; }
        public CosInfoOptions(string appid, string region, string bucket, string secretId, string secretKey)
        {
            AppId = appid;
            Region = region;
            Bucket = bucket;
            SecretId = secretId;
            SecretKey = secretKey;
        }
    }
}
