﻿using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.DataBase
{
    /// <summary>
    /// 配方商品属性关系
    /// </summary>
    [SugarTable("bpa_bomattributevaluere")]
    public class BPA_BomAttributeValueRe:IGroupId
    {
        [SugarColumn(IsPrimaryKey = true, ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Id { get; set; }
        public string GoodsId { get; set; }
        /// <summary>
        /// 配方id
        /// </summary>
        public string BoomId { get; set; }
        /// <summary>
        /// 商品属性值id
        /// </summary>
        public string GoodsAttributeValueId { get; set; }
        /// <summary>
        /// 商品属性值
        /// </summary>
        public string GoodsAttributeValue { get; set; }
        public string GroupId { get; set; }
    }
}
