﻿using BPA.SAAS.Manage.Comm.Enum;
using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.DataBase
{
    [SugarTable("bpa_goodsbom")]
    public class BPA_GoodsBom : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 商品id
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Goods_Id { get; set; }

        /// <summary>
        /// 配方id
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string BomId { get; set; }
        public CommonStatus Status { get; set; } = CommonStatus.ENABLE;
        public string GroupId { get; set; }
    }
}
