﻿using BPA.SAAS.Manage.Comm.Enum;
using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.DataBase
{
    [SugarTable("bpa_goodsInfo")]
    public class BPA_GoodsInfo : IBaseEntity, IGroupId
    {
        public string Name { get; set; }
        public string Descritption { get; set; }
        public string ImgUrl { get; set; }
        public int ImgMode { get; set; }
        public int Sort { get; set; }
        public string Key { get; set; }
        public string Code { get; set; }
        public decimal Price { get; set; }
        public long AutoKey { get; set; }
        public string GoodsUintId { get; set; }
        public bool IsWeigh { get; set; }
        public string ForeignKeyRe { get; set; }
        public string Design { get; set; }
        public string DefaultMate { get; set; }
        public bool IsAttrubute { get; set; }
        public string GoodsTypeId { get; set; }
        /// <summary>
        /// 状态 【正常 停用】默认 正常
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "状态", IsNullable = false)]
        public CommonStatus Status { get; set; } = CommonStatus.ENABLE;
        public string GroupId { get; set; }
    }
}
