﻿using BPA.SAAS.Manage.Comm.Enum;
using Kdbndp.KingbaseTypes;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Device
{
    [SugarTable("bpa_technology")]
    public class BPA_Technology
    {
        /// <summary>
        /// 主键 Guid
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Id { get; set; }
        public string Name { get; set; }
        public string DeviceVersionId { get; set; }
        public string ForeignKeyRe { get; set; }
        public DateTime CreateAt { get; set; }
    }
}
