﻿using BPA.SAAS.Manage.Comm.Enum;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Device
{
    [SugarTable("bpa_technologyaction")]
    public class BPA_TechnologyAction
    {
        /// <summary>
        /// 主键 Guid
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Id { get; set; }
        public string TechnologyId { get; set; }
        public string ActionName { get; set; }
        public string ActionValue { get; set; }
        public string ActionType { get; set; }
        public string Unit { get; set; }
        /// <summary>
        /// 工艺类型
        /// </summary>
        public TechnologyEnums TechnologyType { get; set; }
        public DateTime CreateAt { get; set; }
        public int Sort { get; set; }
    }
}
