﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Org
{
    [SugarTable("bpa_userrole")]
    public class BPA_UserRole
    {
        /// <summary>
        /// 主键 Guid
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Id { get; set; }
        /// <summary>
        /// 用户Id
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(64)", ColumnDescription = "用户Id", IsNullable = false)]
        public string SysUserId { get; set; }
        /// <summary>
        /// 角色Id
        /// </summary>

        [SugarColumn(ColumnDataType = "Nvarchar(64)", ColumnDescription = "角色Id", IsNullable = false)]
        public string SysRoleId { get; set; }
    }
}
